#ifndef __LTIMER_H__
#define __LTIMER_H__

#include "stm32h7xx_hal.h"

#ifdef __cplusplus
 extern "C" {
#endif

void ltimer_init(void);
uint64_t ltimer_get_us(void);
uint64_t ltimer_get_ms(void);
void ltimer_delay_us(uint32_t us);
void ltimer_delay_ms(uint32_t ms);

#ifdef __cplusplus
}
#endif

#endif /* __LTIMER_H__ */
